package com.ann.demo.entity.filing;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @Description 患者清单详情 是 ArchiveMaster患者清单 从属关系
 * @Date 2019/7/9 10:07
 * @Created by  ljx
 */
@Table
@Entity
@Data
public class ArchiveDetail {

    @Id
    @GenericGenerator(name = "system-uuid", strategy = "uuid2")
    @GeneratedValue(generator = "system-uuid")
    private String id;

    private String pdfPath;

    // -----------------------绑定关系
    @Column(name = "masterid")
    private String masterID;

    @Column(name = "uploaddatetime")
    private Date upLoadDateTime;

    @Column(name = "assortid")
    private String assortID;

    private String source;

    @Column(name = "subassort")
    private String subAssort;

    private String title;

    private String flag = "0";

    private String sys;

    /**
     * 扩展字段： 用于进行更新状态、与报告进行匹配
     * 2019-9-4
     */
    private String applyId;

    public ArchiveDetail() {
    }

    public ArchiveDetail(String masterID, Date upLoadDateTime, String assortID, String source) {
        this.masterID = masterID;
        this.upLoadDateTime = upLoadDateTime;
        this.assortID = assortID;
        this.source = source;
    }
}
