package com.ann.demo.entity.interfaceEntity;

import lombok.Data;
import org.hibernate.annotations.GenericGenerator;

import javax.persistence.*;
import java.util.Date;

/**
 * @Description 患者清单
 * @Date 2019/7/9 9:49
 * @Created by  ljx
 */

@Table
@Entity
@Data
public class ArchiveMaster {

    /**
     * 主键
     */
    @Id
    @GenericGenerator(name = "system-uuid", strategy = "uuid2")
    @GeneratedValue(generator = "system-uuid")
    private String id;

    /**
     * 患者id
     */
    private String patientId;

    /**
     * 住院号
     */
    private String inpNo;

    /**
     * 住院次数
     */
    private String visitId;

    /**
     * 姓名
     */
    private String name;

    /**
     * 性别
     */
    private String sex;

    /**
     * 出院科室
     */
    private String deptName;

    /**
     * 出院日期
     */
    private Date dischargeDateTime;

    /**
     * 归档状态 没出院的填在院，出院填归档中
     */
    @Column(name = "archivestate")
    private String archiveState = "在院";

    /**
     * 入院日期
     */
    private Date admissionDateTime;

    /**
     * 入院科室
     */
    private String deptAdmissionTo;

    /**
     *
     */
    private String checkDoctor;

    /**
     *
     */
    private Date checkDatetime;


    /**
     *
     */
    private Date checkedDoctor;


    /**
     *
     */
    private Date checkedDatetime;

    /**
     *
     */
    @Column(name = "lockinfo")
    private String LockInfo;

    /**
     * 主管医生
     */
    private String doctorInCharge;

    /**
     * 身份证号
     */
    private String idNo;

    /**
     * 离院方式
     */
    private String dischargeDisposition;

    private String deptCodeLend;


    /**
     * 是否有效 默认0 为有效 1为作废
     * 2019-7-30
     */
    private int isValid;

    /**
     * 转科
     * 2019-7-30
     */
    private String transferDept;

    // 死亡字段
    private String deathFlag = "0";

    /**
     * 是否扫描
     * 2020-12-14
     */
    @Column(name = "isscaned")
    private String isScaned;

    private String cmtDoctor;

    private String cmtNurse;

    //2020-12-28 新增床号
    private String bedNumber;

    private String isScanning = "0";

    private String ATTENDING_DOCTOR_ID;



}
