package com.ann.demo.entity.normalEntity;

import com.ann.demo.entity.normalEntity.ids.DiagDetailIds;
import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/8/6 10:04
 */
@Data
@Entity
@Table(name = "t_diag")
@IdClass(DiagDetailIds.class)
public class DiagDetail {

    /**
     *  病案号
     * */
    @Id
    @Column(name = "patient_id", length = 50)
    private String masterId;

    /**
     * 诊断ID
     * */
    @Id
    @Column(name = "diag_code", length = 50)
    private String AKC196;

    /**
     * 诊断类型 1门诊诊断 2入院诊断 3出院诊断 4手术并发症
     * 5并发症 6院内感染 7损伤和中毒的外部原因 8病理诊断
     * 9新生儿疾病诊断
     * */
    @Id
    @Column(name = "diag_type", length = 50)
    private String YZY203;

    /**
     *  诊断序号
     * */
    @Column(name = "diag_no")
    private Integer YZY201;

    /**
     * 诊断病名
     * */
    @Column(name = "diag_name")
    private String AKC185;

    /**
     * 转归情况
     * */
    @Column(name = "dis_thing")
    private String dis_thing;

    /**
     * 病理切片号
     * */
    @Column(name = "pathology_cut")
    private String pathology_cut;

    /**
     * X光片号
     * */
    @Column(name = "X_ray")
    private String X_ray;

    /**
     * 录入员姓名
     * */
    @Column(name = "oper_name")
    private String oper_name;

    /**
     * 录入日期
     * */
    @Column(name = "oper_date")
    private Date oper_date;

    /**
     *
     * */
    @Column(name = "create_date")
    private Date create_date;

    /**
     *
     * */
    @Column(name = "singl")
    private String singl;

    /**
     *
     * */
    @Column(name = "pat_adm_condition")
    private String pat_adm_condition;

    /**
     *
     * */
    @Column(name = "pid")
    private String pid;

    /**
     *
     * */
    @Column(name = "vid")
    private String vid;

    /**
     *
     * */
    @Column(name = "inhospstat")
    private String INHospStat;

}
