package com.ann.demo.entity.normalEntity;

import lombok.Data;

import javax.persistence.*;
import java.util.Date;

/**
 * @Author: LeiJiaXin EMRDictionary
 * @Date: 2019/9/20 17:12
 */
@Table(name = "emr_dictionary")
@Entity
@Data
public class EMRDictionary {

    //insert into emr_dictionary (code,name,create_time,creater,parent_id)
    @GeneratedValue(strategy = GenerationType.IDENTITY)
    @Id
    private Integer id;

    /**
     * 科室编码
     */
    @Column(name = "code")
    private String DEPT_CODE;

    /**
     * 科室名称
     */
    @Column(name = "name")
    private String DEPT_NAME;

    /**
     * 拼音码
     */
    @Column(name = "py_code")
    private String PYM;

    @Column(name = "effective")
    private Integer isValid = 0;

    // 科室编码默认4190
    private Integer parentId = 4190;

    private String creater = "ann";

    private Date createTime = new Date();

    /**
     * 新增字段
     * 2019-9-21
     * 是否临床 0 临床 1 辅诊 2 护理单元 3 机关 9 其他
     */
    @Column(name = "extended_field")
    private Integer CLINIC_ATTR = 0;

}
