package com.ann.demo.repository;

import com.ann.demo.entity.interfaceEntity.InterfaceHisCache;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Modifying;
import org.springframework.data.jpa.repository.Query;

import javax.transaction.Transactional;
import java.util.Date;
import java.util.List;

public interface InterfaceHisCacheRepository extends JpaRepository<InterfaceHisCache,String> {
    
    public List<InterfaceHisCache> findAllByStateAndPdfPathIsNotNull(String state);

    public InterfaceHisCache findByInpNoAndVisitIdAndStateAndType(String inpNo,String visitId,String state,String type);


    @Transactional
    @Modifying
    @Query(value = "update InterfaceHisCache o set o.state = ?1 where o.id = ?2 and o.state = 0 and o.type = ?3 ")
    public Integer updateStateById(String state, String id, String type);

    @Transactional
    @Modifying
    @Query(value = "update InterfaceHisCache o set o.state = 0,o.pdfPath = null,o.createState = null,o.updateTime = ?4 where o.inpNo = ?1 and o.visitId = ?2 and o.state = 1 and o.type = ?3 ")
    public Integer handleMedicalAdvice(String inpNo, String visitId, String type, Date updateTime);
}
